#include <iostream>

using namespace std;

#define FOR(i,a,b) for(int i=(a);i<=(b);i++)

int A[1024], B[1024];
int dp[1024][1024];

void relax(int &a, int t) {
	if (a > t) a = t;
}

int main() {
	int M, N;
	cin >> M; FOR(i,1,M) {
		cin >> A[i];
		dp[i][0] = i;
	}
	cin >> N; FOR(i,1,N) {
		cin >> B[i];
		dp[0][i] = i;
	}
	FOR(i,1,M) FOR(j,1,N) {
		dp[i][j] = i + j;
		if (A[i] == B[j]) relax(dp[i][j], dp[i-1][j-1]);
		else {
			relax(dp[i][j], 1 + dp[i-1][j]);
			relax(dp[i][j], 1 + dp[i][j-1]);
			relax(dp[i][j], 1 + dp[i-1][j-1]);
		}
	}
	cout << dp[M][N] << endl;
	return 0;
}
